![Nylo Banner](https://nylo.dev/images/nylo_logo_header.png)

<p align="center">
  <a href="https://github.com/nylo-core/framework/releases/latest"><img src="https://img.shields.io/github/v/release/nylo-core/framework?style=plastic" alt="Latest Release Version"></a>
  <a href="https://github.com/nylo-core/framework/releases/latest"><img src="https://img.shields.io/github/license/nylo-core/framework?style=plastic" alt="Latest Stable Version"></a>
  <a href="https://github.com/nylo-core/framework"><img alt="GitHub stars" src="https://img.shields.io/github/stars/nylo-core/framework?style=plastic"></a>
</p>

## Nylo Framework (v3.4.0)

Nylo is a micro-framework for Flutter which is designed to help simplify app development. Every project provides a simple boilerplate and MVC pattern to help you build apps easier.

This project is open source and MIT-licenced, we welcome any contributions. You can join as a backer/sponsor to fund future development for this project [here](https://nylo.dev/contributions)

> **Note:** If you want to build an application using Nylo, please visit the main [Nylo repository](https://github.com/nylo-core/nylo). This repository contains the code for the framework Nylo uses.

---

## Features
Some core features available
* [Routing](https://nylo.dev/docs/3.x/router).
* [Light and dark themes](https://nylo.dev/docs/3.x/themes).
* [Localization](https://nylo.dev/docs/3.x/localization).
* [CLI for generating project files](https://nylo.dev/docs/3.x/metro).
* [Elegant API Services for Networking](https://nylo.dev/docs/3.x/networking).
* [Creating App Icons](https://nylo.dev/docs/3.x/app-icons).
* [Project Configuration](https://nylo.dev/docs/3.x/configuration).
* [Streamlined Project Structure](https://nylo.dev/docs/3.x/directory-structure).

## Documentation

Visit the docs on [Nylo](https://nylo.dev/docs) to view our extensive and thorough documentation. 

## Changelog
Please see [CHANGELOG](https://github.com/nylo-core/framework/blob/3.x/CHANGELOG.md) for more information what has changed recently.

## Social
* [Twitter](https://twitter.com/nylo_dev)

## Security
If you discover any security related issues, please email support@nylo.dev instead of using the issue tracker.

## Licence

The MIT License (MIT). Please view the [License](https://github.com/nylo-core/nylo/blob/3.x/LICENSE) File for more information.
